#ifndef __hal_charge_h__
#define __hal_charge_h__
#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "sdk_common.h"
#include "SEGGER_RTT.h"
#include "usr_config.h"

#define CHARGE_ADC 1800

#define DISCON_L_MAX_ADC 820
#define DISCON_L_MIN_ADC 650

#define CON_L_MAX_ADC 550
#define CON_L_MIN_ADC 450

#define CONN_MAX_ADC 1000
#define CONN_MIN_ADC 820

#define DISCON_R_MAX_ADC 100

void hal_charge_init(void);
uint8_t hal_charge_Getstate(void);

#endif


