#ifndef __hal_ws2812_h__
#define __hal_ws2812_h__
#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "sdk_common.h"
#include "SEGGER_RTT.h"
#include "usr_config.h"

#define WS_L	nrf_gpio_pin_write(PIN_SEL,1);nrf_gpio_pin_write(PIN_SEL,0);nrf_gpio_pin_write(PIN_SEL,0);nrf_gpio_pin_write(PIN_SEL,0);nrf_gpio_pin_write(PIN_SEL,0);nrf_gpio_pin_write(PIN_SEL,0)									
#define WS_H	nrf_gpio_pin_write(PIN_SEL,1);nrf_gpio_pin_write(PIN_SEL,1);nrf_gpio_pin_write(PIN_SEL,1);nrf_gpio_pin_write(PIN_SEL,0);nrf_gpio_pin_write(PIN_SEL,0);nrf_gpio_pin_write(PIN_SEL,0)

#define WS_GREEN	WS_L;WS_L;WS_L;WS_L;WS_H;WS_H;WS_H;WS_H;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L
#define WS_RED		WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_H;WS_H;WS_H;WS_H;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L			
#define WS_BLUE		WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_H;WS_H;WS_H;WS_H

#define WS_WHITE	WS_L;WS_L;WS_L;WS_L;WS_H;WS_H;WS_H;WS_H;WS_L;WS_L;WS_L;WS_L;WS_H;WS_H;WS_H;WS_H;WS_L;WS_L;WS_L;WS_L;WS_H;WS_H;WS_H;WS_H
#define WS_BLACK	WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L
#define WS_ORANGE  	WS_L;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L
#define WS_PURPLE  	WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H
#define WS_YELLOW  	WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L
#define WS_CYAN  	WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_L;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H;WS_H

void WS2812_Init(void);


#endif



