#ifndef _HAL_SCAN_MANAGER__H__
#define _HAL_SCAN_MANAGER__H__

#ifdef __cplusplus
extern "C" {
#endif

/*Includes ------------------------------------------------------*/
#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "sdk_common.h"
#include "SEGGER_RTT.h"
#include "usr_config.h"

#ifdef __cplusplus
}
#endif

typedef void (*Scan_reslut_cb)(void);

typedef struct _scan_reslt_t{
	 const char *scanname;
	 uint8_t scanflag;
	 Scan_reslut_cb handle;
	 struct _scan_reslt_t *next;
}scan_reslt_t;

void hal_ble_scan_Init(void);
void hal_ble_scan_result_Clear(scan_reslt_t *cb);
void hal_ble_scan_result_Regist(scan_reslt_t *cb);

#endif














